import {requestGet,requestPost} from "./index.js";


//查询服务列表
export function getServiceTree(params){
    return requestPost({
        url:'/class-tags/queryMapTree',
        data:{
            ...params
        }
    })
}


export function getResourceDirDetailInfo(CODE){
    return requestPost({
        url:'/ptjkInterface/selectMenuData',
        data:{
            CODE
        }
    })
}
export function getMetaDetailInfo(CODE){
    return requestPost({
        url:'/ptjkInterface/selectMetaData',
        data:{
            CODE
        }
    })
}

export function queryDataItem(CODE){
    return requestPost({
        url:'/Analysis/queryDataItem',
        data:{
            SERVICE_CODE:CODE
        }
    })
}


//市政设施类型/fwgl/queryMunicipalFacilityTypes
export function getMunicipalFacilityTypes(){
    return requestPost({
        url:'/fwzt/queryMunicipalFacilityTypes',
		data:{
			
		}
    })
}
//道路预警/fwzt/queryRoadWarning
export function getQueryRoadWarning(){
    return requestPost({
        url:'/fwzt/queryRoadWarning',
		data:{
			
		}
    })
}

//道路等级/fwzt/selectDldjCount
export function getSelectDldjCount(){
    return requestPost({
        url:'/fwzt/selectDldjCount',
		data:{
			
		}
    })
}

//桥梁类别/fwzt/selectQllbCount
export function getSelectQllbCount(){
    return requestPost({
        url:'/fwzt/selectQllbCount',
		data:{
			
		}
    })
}

//桥梁隐患/fwzt/selectQlyhCount
export function getSelectQlyhCount(){
    return requestPost({
        url:'/fwzt/selectQlyhCount',
		data:{
			
		}
    })
}

//供水管线敷设方式/fwzt/selectFsfsCount
export function getSelectFsfsCount(){
    return requestPost({
        url:'/fwzt/selectFsfsCount',
		data:{
			
		}
    })
}

//供水管线灾害隐患/fwzt/selectYxzhyhCount
export function getSelectYxzhyhCount(){
    return requestPost({
        url:'/fwzt/selectYxzhyhCount',
		data:{
			
		}
    })
}

//供水管线风险/fwzt/selectGsgxFxCount
export function getSelectGsgxFxCount(){
    return requestPost({
        url:'/fwzt/selectGsgxFxCount',
		data:{
			
		}
    })
}

//道路路幅/fwzt/selectDllfCount
export function getSelectDllfCount(){
    return requestPost({
        url:'/fwzt/selectDllfCount',
		data:{
			
		}
    })
}

//建筑概览/fwzt/selectJzgsCount
export function getSelectJzgsCount(){
    return requestPost({
        url:'/fwzt/selectJzgsCount',
		data:{
			
		}
    })
}

//房屋风险/fwzt/selectFwsfczfxCount
export function getSelectFwsfczfxCount(){
    return requestPost({
        url:'/fwzt/selectFwsfczfxCount',
		data:{
			
		}
    })
}

//抗震加固/fwzt/selectKzjgCount
export function getSelectKzjgCount(){
    return requestPost({
        url:'/fwzt/selectKzjgCount',
		data:{
			
		}
    })
}

//农村房屋安全鉴定/fwzt/selectNcfwAqjdCount
export function getSelectNcfwAqjdCount(){
    return requestPost({
        url:'/fwzt/selectNcfwAqjdCount',
		data:{
			
		}
    })
}

//城镇房屋设防烈度/fwzt/selectCzfwsfldCount
export function getSelectCzfwsfldCount(){
    return requestPost({
        url:'/fwzt/selectCzfwsfldCount',
		data:{
			
		}
    })
}

//结构类型占比/fwzt/selectJglxzbCount
export function getSelectJglxzbCount(){
    return requestPost({
        url:'/fwzt/selectJglxzbCount',
		data:{
			
		}
    })
}

//各年代建筑结构类型统计/fwzt/selectJzncJzjgCount
export function getSelectJzncJzjgCount(){
    return requestPost({
        url:'/fwzt/selectJzncJzjgCount',
		data:{
			
		}
    })
}

//建筑层数/fwzt/selectJzcsCount
export function getSelectJzcsCount(){
    return requestPost({
        url:'/fwzt/selectJzcsCount',
		data:{
			
		}
    })
}

//建筑高度
export function selectJzgdCount(){
    return requestPost({
        url:'/fwzt/selectJzgdCount',
        data:{

        }
    })
}